# Form implementation generated from reading ui file 'src/eric7/WebBrowser/WebBrowserClearPrivateDataDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WebBrowserClearPrivateDataDialog(object):
    def setupUi(self, WebBrowserClearPrivateDataDialog):
        WebBrowserClearPrivateDataDialog.setObjectName("WebBrowserClearPrivateDataDialog")
        WebBrowserClearPrivateDataDialog.resize(305, 337)
        WebBrowserClearPrivateDataDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(WebBrowserClearPrivateDataDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.historyCheckBox = QtWidgets.QCheckBox(parent=WebBrowserClearPrivateDataDialog)
        self.historyCheckBox.setChecked(True)
        self.historyCheckBox.setObjectName("historyCheckBox")
        self.verticalLayout.addWidget(self.historyCheckBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.historyCombo = QtWidgets.QComboBox(parent=WebBrowserClearPrivateDataDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.historyCombo.sizePolicy().hasHeightForWidth())
        self.historyCombo.setSizePolicy(sizePolicy)
        self.historyCombo.setObjectName("historyCombo")
        self.historyCombo.addItem("")
        self.historyCombo.addItem("")
        self.historyCombo.addItem("")
        self.historyCombo.addItem("")
        self.historyCombo.addItem("")
        self.horizontalLayout.addWidget(self.historyCombo)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.searchCheckBox = QtWidgets.QCheckBox(parent=WebBrowserClearPrivateDataDialog)
        self.searchCheckBox.setChecked(True)
        self.searchCheckBox.setObjectName("searchCheckBox")
        self.verticalLayout.addWidget(self.searchCheckBox)
        self.downloadsCheckBox = QtWidgets.QCheckBox(parent=WebBrowserClearPrivateDataDialog)
        self.downloadsCheckBox.setChecked(True)
        self.downloadsCheckBox.setObjectName("downloadsCheckBox")
        self.verticalLayout.addWidget(self.downloadsCheckBox)
        self.cookiesCheckBox = QtWidgets.QCheckBox(parent=WebBrowserClearPrivateDataDialog)
        self.cookiesCheckBox.setChecked(True)
        self.cookiesCheckBox.setObjectName("cookiesCheckBox")
        self.verticalLayout.addWidget(self.cookiesCheckBox)
        self.cacheCheckBox = QtWidgets.QCheckBox(parent=WebBrowserClearPrivateDataDialog)
        self.cacheCheckBox.setChecked(True)
        self.cacheCheckBox.setObjectName("cacheCheckBox")
        self.verticalLayout.addWidget(self.cacheCheckBox)
        self.iconsCheckBox = QtWidgets.QCheckBox(parent=WebBrowserClearPrivateDataDialog)
        self.iconsCheckBox.setChecked(True)
        self.iconsCheckBox.setObjectName("iconsCheckBox")
        self.verticalLayout.addWidget(self.iconsCheckBox)
        self.passwordsCheckBox = QtWidgets.QCheckBox(parent=WebBrowserClearPrivateDataDialog)
        self.passwordsCheckBox.setChecked(False)
        self.passwordsCheckBox.setObjectName("passwordsCheckBox")
        self.verticalLayout.addWidget(self.passwordsCheckBox)
        self.zoomCheckBox = QtWidgets.QCheckBox(parent=WebBrowserClearPrivateDataDialog)
        self.zoomCheckBox.setChecked(True)
        self.zoomCheckBox.setObjectName("zoomCheckBox")
        self.verticalLayout.addWidget(self.zoomCheckBox)
        self.sslExceptionsCheckBox = QtWidgets.QCheckBox(parent=WebBrowserClearPrivateDataDialog)
        self.sslExceptionsCheckBox.setChecked(True)
        self.sslExceptionsCheckBox.setObjectName("sslExceptionsCheckBox")
        self.verticalLayout.addWidget(self.sslExceptionsCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=WebBrowserClearPrivateDataDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(WebBrowserClearPrivateDataDialog)
        self.buttonBox.accepted.connect(WebBrowserClearPrivateDataDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(WebBrowserClearPrivateDataDialog.reject) # type: ignore
        self.historyCheckBox.toggled['bool'].connect(self.historyCombo.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(WebBrowserClearPrivateDataDialog)
        WebBrowserClearPrivateDataDialog.setTabOrder(self.historyCheckBox, self.historyCombo)
        WebBrowserClearPrivateDataDialog.setTabOrder(self.historyCombo, self.searchCheckBox)
        WebBrowserClearPrivateDataDialog.setTabOrder(self.searchCheckBox, self.downloadsCheckBox)
        WebBrowserClearPrivateDataDialog.setTabOrder(self.downloadsCheckBox, self.cookiesCheckBox)
        WebBrowserClearPrivateDataDialog.setTabOrder(self.cookiesCheckBox, self.cacheCheckBox)
        WebBrowserClearPrivateDataDialog.setTabOrder(self.cacheCheckBox, self.iconsCheckBox)
        WebBrowserClearPrivateDataDialog.setTabOrder(self.iconsCheckBox, self.passwordsCheckBox)
        WebBrowserClearPrivateDataDialog.setTabOrder(self.passwordsCheckBox, self.zoomCheckBox)
        WebBrowserClearPrivateDataDialog.setTabOrder(self.zoomCheckBox, self.sslExceptionsCheckBox)

    def retranslateUi(self, WebBrowserClearPrivateDataDialog):
        _translate = QtCore.QCoreApplication.translate
        WebBrowserClearPrivateDataDialog.setWindowTitle(_translate("WebBrowserClearPrivateDataDialog", "Clear Private Data"))
        self.historyCheckBox.setToolTip(_translate("WebBrowserClearPrivateDataDialog", "Select to clear the browsing history"))
        self.historyCheckBox.setText(_translate("WebBrowserClearPrivateDataDialog", "&Browsing History"))
        self.historyCombo.setToolTip(_translate("WebBrowserClearPrivateDataDialog", "Select the history period to be deleted"))
        self.historyCombo.setItemText(0, _translate("WebBrowserClearPrivateDataDialog", "Last Hour"))
        self.historyCombo.setItemText(1, _translate("WebBrowserClearPrivateDataDialog", "Last Day"))
        self.historyCombo.setItemText(2, _translate("WebBrowserClearPrivateDataDialog", "Last Week"))
        self.historyCombo.setItemText(3, _translate("WebBrowserClearPrivateDataDialog", "Last 4 Weeks"))
        self.historyCombo.setItemText(4, _translate("WebBrowserClearPrivateDataDialog", "Whole Period"))
        self.searchCheckBox.setToolTip(_translate("WebBrowserClearPrivateDataDialog", "Select to clear the search history"))
        self.searchCheckBox.setText(_translate("WebBrowserClearPrivateDataDialog", "&Search History"))
        self.downloadsCheckBox.setToolTip(_translate("WebBrowserClearPrivateDataDialog", "Select to clear the download history"))
        self.downloadsCheckBox.setText(_translate("WebBrowserClearPrivateDataDialog", "Download &History"))
        self.cookiesCheckBox.setToolTip(_translate("WebBrowserClearPrivateDataDialog", "Select to clear the cookies"))
        self.cookiesCheckBox.setText(_translate("WebBrowserClearPrivateDataDialog", "&Cookies"))
        self.cacheCheckBox.setToolTip(_translate("WebBrowserClearPrivateDataDialog", "Select to clear the disk cache"))
        self.cacheCheckBox.setText(_translate("WebBrowserClearPrivateDataDialog", "Cached &Web Pages"))
        self.iconsCheckBox.setToolTip(_translate("WebBrowserClearPrivateDataDialog", "Select to clear the website icons"))
        self.iconsCheckBox.setText(_translate("WebBrowserClearPrivateDataDialog", "Website &Icons"))
        self.passwordsCheckBox.setToolTip(_translate("WebBrowserClearPrivateDataDialog", "Select to clear the saved passwords"))
        self.passwordsCheckBox.setText(_translate("WebBrowserClearPrivateDataDialog", "Saved &Passwords"))
        self.zoomCheckBox.setToolTip(_translate("WebBrowserClearPrivateDataDialog", "Select to delete all remembered zoom settings"))
        self.zoomCheckBox.setText(_translate("WebBrowserClearPrivateDataDialog", "&Zoom Settings"))
        self.sslExceptionsCheckBox.setText(_translate("WebBrowserClearPrivateDataDialog", "SSL Certificate Error Exceptions"))
